Update
curl --request PUT \
--url https://{appId}.api-{region}.cometchat.io/v3/groups/{guid} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"name": "<string>",
"password": "<string>",
"icon": "<string>",
"description": "<string>",
"metadata": {},
"owner": "<string>",
"tags": [
"tag1"
],
"unset": []
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}"
payload = {
"name": "<string>",
"password": "<string>",
"icon": "<string>",
"description": "<string>",
"metadata": {},
"owner": "<string>",
"tags": ["tag1"],
"unset": []
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
password: '<string>',
icon: '<string>',
description: '<string>',
metadata: {},
owner: '<string>',
tags: ['tag1'],
unset: []
})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"guid": "project-group",
"name": "Project Group",
"description": "project related discussions between members",
"icon": "https://assets.cometchat.io/sampleapp/v2/groups/cometchat-guid-1.webp",
"type": "public",
"scope": "admin",
"membersCount": 1,
"joinedAt": 1638440784,
"conversationId": "group_project-group",
"hasJoined": true,
"createdAt": 1638440784,
"owner": "cometchat-uid-4",
"tags": [
"friends",
"project"
]
}
}Groups
Update
Updates the group details for a given GUID.
PUT
/
groups
/
{guid}
Update
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
A GUID of a group.
Body
application/json
Name of the group.
The type of the group. The available values are: public, password and private.
Available options:
public, password, private A password required to join the the group with type password
An URL for a group icon.
Description about the group
Additional group data.
The UID that you wish to make the owner of the group.This field will be ignored if onBehalfOf parameter in the header is present in the request.
Updates tags of a group.
The unsettable user attributes are icon, description and metadata.
Group attributes that can be unset.
Available options:
icon, description, metadata Response
200 - application/json
Get group
Was this page helpful?
⌘I